Subject: Re: posix threads (pthread32) undefined references
From: [email-masked] (Alex P. Madarasz, Jr.)

30 Oct 1998 22:44:13 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Alex Madarasz <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked], [email-masked], [email-masked],
        [email-masked]

Stipe Tolj wrote on 29 Oct 98, 21:53 :
>
> > And, I just stumbled across this alternative alternative at :
> >
> >    <ftp://egcs.cygnus.com/pub/pthreads-win32/>
> 
> I have configure/make the libpthread32.a library using cygwin32 b19.3 ...
> 
> These seem to be undefined within all standard cygwin32 libraries. So
> where are they, and how can I build the test programs and other
> applications using the pthread32 library for cygwin32?

I haven't tried them at all, (just posted the URL for reference, and am in the 
middle of a job search ;-), so I'd suggest the references from the pthreads-
win32 docs, which included a mailing list as I recall.

Oh, and I'd _definitely_ heed the following, which was posted in response to my 
post :

> Date sent:      	Mon, 26 Oct 1998 01:57:22 -0800
> From:           	Geoffrey Noer <[email-masked]>
> To:             	Alex Madarasz <[email-masked]>
> Copies to:      	[email-masked]
> Subject:        	Re: posix threads
> 
> On Sun, Oct 25, 1998 at 10:24:35AM -0400, Alex P. Madarasz, Jr. wrote: > >
> And, I just stumbled across this alternative alternative at : > >   
> <ftp://egcs.cygnus.com/pub/pthreads-win32/> [...]
> 
> Yep, but beware!  Until one of us announces that Cygwin is
> thread-safe (something we expect to happen in a low number of months), you
> will want to avoid pthreads with Cygwin...
> 
> -- 
> Geoffrey Noer
> [email-masked]
> -

-- 
Alex P. Madarasz, Jr.  --  [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".